Contact

admin

About Me · Send mail to the author(s) E-mail · Twitter

At GROSSWEBER we practice what we preach. We offer trainings for modern software technologies like Behavior Driven Development, Clean Code and Git. Our staff is fluent in a variety of languages, including English.

Feed Icon

Tags

Open Source Projects

Archives

Blogs of friends

Now playing [?]

Error retrieving information from external service.
Audioscrobbler/Last.fm

ClustrMap

Getting NUnit to work with the .NET Framework 2.0

Posted in Tools and Software at Monday, November 07, 2005 4:42 PM W. Europe Standard Time

If you're trying to load a NUnit test assembly (compiled against the .NET Framework 2.0) into a vanilla NUnit installation you'll be presented with the following error message.

In order to perform unit tests using these assemblies, you'll have to add support for the recently released framework in the NUnit config files nunit-console.exe.config and nunit-gui.exe.config. The bold line has to be placed in first position of the supported runtimes.

<?xml version="1.0" encoding="Windows-1252"?>
<configuration>
    ...
    <startup>
        <supportedRuntime version="v2.0.50727" />
        <supportedRuntime version="v1.1.4322" />
        <supportedRuntime version="v1.0.3705" />

        <requiredRuntime version="v1.0.3705" />
    </startup>
    ...
</configuration>
All comments require the approval of the site owner before being displayed.
(will show your gravatar icon)
 
[Captcha]Enter the code shown (prevents robots):

Live Comment Preview